<?php # catalog.php

#   File was released under GNU General Public License 3
#   Articles Copyright (C) 2024  Wloff Apps, Services, Development
#   This program comes with ABSOLUTELY NO WARRANTY;
#=================================================================

# link collection of the blog entries
# lists them either by year, or under one tag/topic

// include the configuration file
$configs = include('../config.php');

/* ============================================== */
/* ==== Template: page head with body/header ==== */
echo file_get_contents("html/header.html");

?>


    <main class="catalogMain">


<?php

/* ============================== */
/* ==== catalogs of the main ==== */

// first check if a tag value arrived within the GET request
if (!isset($_GET["tag"])) {
    // if not then just use the default behaviour
    // ie. listing the blog entries, grouped by year
    generateCatalog($files, $articlePath, $mdFormat);
} else {
    // if the tag found, then first quick sanitization
    $tag = htmlspecialchars($_GET["tag"]);
    // then list the links for the relevant blog entry
    generateCatalogByTag($files, $articlePath, $dateFormat, $tag);
}

?>


    </main>


<?php

/* ============================================================================== */
/* ==== Template: page footer and the rest, script includes and closing tags ==== */
echo file_get_contents("html/footer.html");


?>
